=== debian/changelog ===
amdgpu-pro-dkms (16.30.3-320002fsomerville1) xenial; urgency=medium

  * Add BUILD_EXCLUSIVE_KERNEL="^4.4.*". 

 -- Cyrus Lien <cyrus.lien@canonical.com>  Tue, 06 Dec 2016 12:51:48 +0800

amdgpu-pro-dkms (16.30.3-320002f) stable; urgency=low

  * Automatically packaged by DKMS.

 -- Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>  Tue, 06 Dec 2016 12:35:29 +0800
