=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=amdgpu-pro
NAME=amdgpu-pro
VERSION=16.30.3-320002fsomerville1

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

%:
	dh $@
