=== debian/changelog ===
amdgpu-pro-dkms (16.30.3-320002fsomerville1ubuntu1) xenial; urgency=medium

  * Fixing build error on 4.4 kernel. (LP: #1822076)

 -- Cyrus Lien <cyrus.lien@canonical.com>  Wed, 10 Apr 2019 14:41:56 +0800

amdgpu-pro-dkms (16.30.3-320002fubuntu1) stable; urgency=low

  * Automatically packaged by DKMS.

 -- Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>  Wed, 10 Apr 2019 02:32:09 -0400
