=== debian/control ===
Source: amdgpu-pro-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms
Standards-Version: 3.8.1

Package: amdgpu-pro-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: amdgpu-pro driver in DKMS format.
