=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_NAME=amdgpu-pro
 NAME=amdgpu-pro
-VERSION=16.30.3-320002fsomerville1
+VERSION=16.30.3-320002fsomerville1ubuntu1
 
 override_dh_auto_clean:
 	$(MAKE) clean
